Bug 11672 - 2.2.14-12 kernel doesn't load network modules properly
Summary: 2.2.14-12 kernel doesn't load network modules properly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-25 20:52 UTC by dbrumley
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 23:35:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dbrumley 2000-05-25 20:52:08 UTC
Hi,
I've experimented on several different systems, all with the same result.
The 2.2.14-12 kernel, if used when installing for the first time, will
not load the appropriate network modules.  It complains about unresolved
symbols.  For example, on an ne.o module complains:
unresolved symbol ei_open
unresolved symbol ethdev_init
unresolved symbol ei_interrupt
unresolved symbol NS8390_init
unresolved symbol ei_close

This happens with several other modules (i've tried this also using a
intel etherpro 100).

The module is found on the boot disks, as I'm able to do a network install.

The situation is we are encorporating in our mirror (for stanford people)
all updates into the generic redhat install tree, e.g. we replace
the RedHat/RPMS/kernel-2.2.14-5.0.i386.rpm with
RedHat/RPMS/kernel-2.2.14-12.i386.rpm and then rerun genhdlist.

Though non-standard, it does appear to be a bug in the redhat compile.
You should be able to install all the fixed rpm's without installing the
ones with bugs (IMHO).  The idea is if you install redhat today, you've
installed the latest system, and don't have to immediately go back and
apply updates.

Comment 1 Alan Cox 2002-12-14 23:35:21 UTC
The installer uses modules in the cpio archive and other magic



Note You need to log in before you can comment on or make changes to this bug.